/* Basic Style */
.page {
  background-color: #f8f8f8;
  color: #333;
  font-family: Lato, sans-serif;
}

.page-title {
  width: 500px;
  margin: 0 auto;
  display: block;
  text-align: right;
}

.page-title__img {
  width: 100%;
}

.page-title_info-link {
  font-family: fantasy, cursive;
}

@media (max-width:768px) {

  .page-title {
    text-align: center;
  }

}

.wrapper {
  display: block;
  width: 500px;
  margin: 0 auto 0;
}

.task__label,
.task-input {
  width: 56%;
  display: inline-block;
  flex-grow: 1
}

.new-task-wrapper {
  display: flex;
}

.tasks {
  margin: 0;
  padding: 0px;
}

.task,
.tasks-type-title {
  list-style: none;
}

.task-input,
.task-button {
  outline: none;
}

.task-button {
  background: none;
  border: 0px;
  color: #888;
  font-size: 15px;
  width: 60px;
  font-family: Lato, sans-serif;
  cursor: pointer;
}

.task-button:hover {
  color: #3a3A3a;
}

/* Heading */
.tasks-type-title,
.new-task__label {
  color: #333;
  font-weight: 700;
  font-size: 15px;
  border-bottom: 2px solid #333;
  padding: 30px 0 10px;
  margin: 0;
  text-transform: uppercase;
}

.task-input {
  margin: 0;
  font-size: 18px;
  line-height: 18px;
  height: 21px;
  padding: 0 9px;
  border: 1px solid #dDd;
  background: #FFF;
  border-radius: 6px;
  font-family: Lato, sans-serif;
  color: #888;
}

.task-input:focus {
  color: #333;
}

/* New Task */
.new-task__label {
  display: block;
  margin: 0 0 20px;
}

.new-task__task-input {
  width: 318px;
}

/* Task list */
.task {
  overflow: hidden;
  padding: 20px 0;
  border-bottom: 1px solid #eee;

  display: flex;
  justify-content: space-between;
  align-items: center;
}


.task__checkbox {
  margin: 0 10px;
}

.task__label {
  padding-left: 10px;
  box-sizing: border-box;
  font-size: 18px;
  width: 226px;
}

.task__task-input {
  width: 226px
}

.task-button.delete .task-button-img {
  height: 2em;
  transform: rotateZ(45deg);
  transition: transform 200ms ease-in;
}

.task-button.delete .task-button-img:hover {
  transform: rotateZ(0);
}

/* Completed */
#completed-tasks .task__label {
  text-decoration: line-through;
  color: #888;
}

/* Edit Task */
.task__task-input {
  display: none
}

.task-edited .task__task-input {
  display: inline-block;
  width: 224px
}

.task-edited .task__label {
  display: none;
}